Package ghidra.framework.store.db

# Interface VersionedDBListener

public interface VersionedDBListener
`VersionedDBListener` provides listeners the ability to be notified when changes occur to a versioned database.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkinCompleted(long checkoutId)`
  Terminate the specified checkout.
  `int`
  `getCheckoutVersion(long checkoutId)`
  Returns the checkout version associated with the specified checkoutId.
  `boolean`
  `versionCreated(VersionedDatabase db, int version, long time, String comment, long checkinId)`
  A new database version has been created.
  `void`
  `versionDeleted(int version)`
  A version has been deleted.
  `void`
  `versionsChanged(int minVersion, int currentVersion)`
  Available database versions have been modified.

- ## Method Details

  - ### versionsChanged

    void versionsChanged(int minVersion, int currentVersion)
    Available database versions have been modified. This method is not invoked when a new version is created.
    Parameters:
      `minVersion` - minimum available version
      `currentVersion` - current/latest version

  - ### versionCreated

    boolean versionCreated(VersionedDatabase db, int version, long time, String comment, long checkinId)
    A new database version has been created.
    Parameters:
      `db` -
      `version` -
      `time` -
      `comment` -
      `checkinId` -
    Returns:
      true if version is allowed, if false is returned the version will be removed.

  - ### versionDeleted

    void versionDeleted(int version)
    A version has been deleted.
    Parameters:
      `version` -

  - ### getCheckoutVersion

    int getCheckoutVersion(long checkoutId) throws IOException
    Returns the checkout version associated with the specified checkoutId. A returned version of -1 indicates that the checkoutId is not valid.
    Parameters:
      `checkoutId` -
    Returns:
      checkout version
    Throws:
      `IOException`

  - ### checkinCompleted

    void checkinCompleted(long checkoutId)
    Terminate the specified checkout. A new version may or may not have been created.
    Parameters:
      `checkoutId` -